StarBitmapInternal::Bitmap Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarBitmapInternal::Bitmap Struct Reference

internal: the bitmap information More...

## Public Member Functions
| Bitmap ()
| constructor More...
bool | getPPMData (librevenge::RVNGBinaryData &data) const
| try to return a ppm data (without alpha) More...

## Public Attributes
uint32_t | m_width
| bitmap width More...
uint32_t | m_height
| bitmap height More...
uint16_t | m_planes
| the number of planes More...
uint16_t | m_bitCount
| the bit count More...
uint32_t | m_compression
| related to compression More...
uint32_t | m_sizeImage
| the image size? More...
uint32_t | m_pixelsPerMeter [2]
| the number of x/y pixel by meters More...
bool | m_hasAlphaColor
| a flag to know if the color has alpha component More...
uint32_t | m_numColors [2]
| the number of used column (used, other) More...
std::vector< STOFFColor > | m_colorsList
| the bitmap color list More...
std::vector< int > | m_indexDataList
| the index bitmap data More...
std::vector< STOFFColor > | m_colorDataList
| the color bitmap data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Bitmap const &info)
| operator<< More...

## Detailed Description

internal: the bitmap information

## Constructor & Destructor Documentation

## ◆ Bitmap()

StarBitmapInternal::Bitmap::Bitmap | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPPMData()

bool StarBitmapInternal::Bitmap::getPPMData | ( | librevenge::RVNGBinaryData & | data | ) | const
| inline

try to return a ppm data (without alpha)

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Bitmap const & | info
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_bitCount

uint16_t StarBitmapInternal::Bitmap::m_bitCount

the bit count

Referenced by StarBitmap::readBitmapData(), and StarBitmap::readBitmapInformation().

## ◆ m_colorDataList

std::vector<STOFFColor> StarBitmapInternal::Bitmap::m_colorDataList

the color bitmap data

Referenced by getPPMData(), and StarBitmap::readBitmapData().

## ◆ m_colorsList

std::vector<STOFFColor> StarBitmapInternal::Bitmap::m_colorsList

the bitmap color list

Referenced by getPPMData().

## ◆ m_compression

uint32_t StarBitmapInternal::Bitmap::m_compression

related to compression

Referenced by StarBitmap::readBitmapData(), and StarBitmap::readBitmapInformation().

## ◆ m_hasAlphaColor

bool StarBitmapInternal::Bitmap::m_hasAlphaColor

a flag to know if the color has alpha component

Referenced by StarBitmap::readBitmapInformation().

## ◆ m_height

uint32_t StarBitmapInternal::Bitmap::m_height

bitmap height

Referenced by getPPMData(), StarBitmap::readBitmapData(), and StarBitmap::readBitmapInformation().

## ◆ m_indexDataList

std::vector<int> StarBitmapInternal::Bitmap::m_indexDataList

the index bitmap data

Referenced by getPPMData(), and StarBitmap::readBitmapData().

## ◆ m_numColors

uint32_t StarBitmapInternal::Bitmap::m_numColors[2]

the number of used column (used, other)

Referenced by Bitmap(), and StarBitmap::readBitmapInformation().

## ◆ m_pixelsPerMeter

uint32_t StarBitmapInternal::Bitmap::m_pixelsPerMeter[2]

the number of x/y pixel by meters

Referenced by Bitmap(), and StarBitmap::readBitmapInformation().

## ◆ m_planes

uint16_t StarBitmapInternal::Bitmap::m_planes

the number of planes

Referenced by StarBitmap::readBitmapInformation().

## ◆ m_sizeImage

uint32_t StarBitmapInternal::Bitmap::m_sizeImage

the image size?

Referenced by StarBitmap::readBitmapData(), and StarBitmap::readBitmapInformation().

## ◆ m_width

uint32_t StarBitmapInternal::Bitmap::m_width

bitmap width

Referenced by getPPMData(), StarBitmap::readBitmapData(), and StarBitmap::readBitmapInformation().

The documentation for this struct was generated from the following file:

- StarBitmap.cxx